How to upgrade to MovableType 3.0

If you're ready to upgrade your previous verion of MovableType to version 3.0, it's pretty simple. Download the upgrade version of MT 3.0 (there's a full version, also). Next, unzip the distribution and upload all the non-image files in ASCII mode. Upload the images in Binary mode. (Do not select all the files and choose 'Auto' mode, as that generally creates problems.) Set the permissions for all cgi scripts to 755.

If you are currently using MT-Blacklist, remove all of the MT-Blacklist files. MT-Blacklist is not compatible with MovableType 3.0. With the addition of TypeKey, MT-Blacklist is moot, so you must remove those files or you will seriously damage your install.

If you are running MT 2.6 or greater or have an MySQL database running your blog, you need to run an upgrade script. If you're upgrading from MT 2.6 or greater, you only need to run the "mt-upgrade30.cgi" script. SQL users with version MT 2.5+ need to run the "mt-upgrade26.cgi" script. SQL users with version MT 2.2+ need to run "mt-upgrade25.cgi" then run "mt-upgrade26.cgi". Once the upgrades have completed, you need to delete those scripts from your server.

Complete instructions are available on the MovableType Support pages.

Share on FacebookTweet about this on TwitterShare on LinkedInEmail this to someone

4 thoughts on “How to upgrade to MovableType 3.0”

  1. And please, for God's sake, remove all MT-Blacklist files. I cannot (apparently) say it enough. MT-Blacklist v1.63 and older are NOT compatible with MT 3.0 and in fact are quite harmful to the operation of it.

Comments are closed.